/*

*/


var KEY_ALT = 18;
var UP_ARROW = 38;
var DOWN_ARROW = 40;
var LEFT_ARROW = 37;
var RIGHT_ARROW = 39;
var KEY_PLUS = 107;
var KEY_MINUS = 109; 
var player = new Player(0);
while (true) {
	wait(125);
	if (Pad.IsKeyPressed(KEY_ALT) && (
		Pad.IsKeyPressed(UP_ARROW) || 
		Pad.IsKeyPressed(DOWN_ARROW) ||
		Pad.IsKeyPressed(LEFT_ARROW) ||
		Pad.IsKeyPressed(RIGHT_ARROW) ||
		Pad.IsKeyPressed(KEY_PLUS) ||
		Pad.IsKeyPressed(KEY_MINUS) 
	) && player.isPlaying()) { 
		if (Pad.IsKeyPressed(UP_ARROW)) { // arrow UP t
			var target_pos = player.getChar().getOffsetInWorldCoords(0, 1, 0);
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z);
		}
		else if (Pad.IsKeyPressed(DOWN_ARROW)) { // arrow DOWN to decrease value
			var target_pos = player.getChar().getOffsetInWorldCoords(0, -1, 0);
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z);
		}
		else if (Pad.IsKeyPressed(LEFT_ARROW)){
			var target_pos = player.getChar().getOffsetInWorldCoords(-1, 0, 0);
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z);
		}
		else if (Pad.IsKeyPressed(RIGHT_ARROW)){
			var target_pos = player.getChar().getOffsetInWorldCoords(1, 0, 0);
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z);
		}
		else if (Pad.IsKeyPressed(KEY_PLUS)){
			var target_pos = player.getChar().getOffsetInWorldCoords(0, 0, 1);
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z);
		}
		else if (Pad.IsKeyPressed(KEY_MINUS)){
			var target_pos = player.getChar().getOffsetInWorldCoords(0, 0, -1);
			//setCoordinates会以玩家的脚为对象设置坐标，而getOffsetInWorldCoords获取的坐标以身体为中心
			player.getChar().setCoordinates(target_pos.x,target_pos.y,target_pos.z - 1);
		}
	}
}
